import request from '@/utils/request'

// 分页查询港区作业指令列表
export function pageListOrder(query) {
  return request({
    url: '/work/order/pageList',
    method: 'get',
    params: query
  })
}

// 查询港区作业指令列表
export function listOrder(query) {
  return request({
    url: '/work/order/list',
    method: 'get',
    params: query
  })
}

// 查询港区作业指令详细
export function getOrder(id) {
  return request({
    url: '/work/order/' + id,
    method: 'get'
  })
}

// 新增港区作业指令
export function addOrder(data) {
  return request({
    url: '/work/order',
    method: 'post',
    data: data
  })
}

// 修改港区作业指令
export function updateOrder(data) {
  return request({
    url: '/work/order',
    method: 'put',
    data: data
  })
}

// 删除港区作业指令
export function delOrder(id) {
  return request({
    url: '/work/order/' + id,
    method: 'delete'
  })
}

// 导出港区作业指令
export function exportOrder(query) {
  return request({
    url: '/work/order/' + 'export',
    method: 'post',
    params: query
  })
}
